AI resources
Search order

This endpoint allows to search for orders in a massive way, using various filters and pagination information. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/orders
Request parameters
Header
Authorization
string

REQUIRED

Access token to authenticate the request. For more information, see the Authentication documentation.
Query
begin_date
string

REQUIRED

Start date to filter orders by creation date (RFC 3339 format). The interval between begin_date and end_date must be at most 30 days (720 hours). In addition, the start date cannot be in the future or later than `end
end_date
string

REQUIRED

End date for filtering orders by creation date (RFC 3339 format). The interval between begin_date and end_date must be at most 30 days (720 hours). In addition, the end date cannot be more than 5 years in the past.
external_reference
string
It is an external reference of the order. It can be, for example, a hashcode from the Central Bank, functioning as an identifier of the transaction origin. This field must have a maximum of 64 characters and can only be
status
string
Current status of the order.
created: The order has been created successfully.
processed: All transactions have been successfully processed.
action_required: Integrator action is required to complete processing. For example, the capture of an authorized payment.
Response parameters
data
array
List of orders matching the search criteria.
paging
object
Pagination information.
Errors

400Request error.

missing_required_params

The begin_date and end_date parameters are missing. These parameters are mandatory for the search.

invalid_parameter

An invalid value was sent for a query parameter. This can occur with invalid date formats (must use RFC3339 format, e.g.: 2023-01-01T00:00:00Z), invalid date ranges (an interval between begin_date and end_date greater than 30 days, a begin_date in the future or later than end_date, or an end_date more than 5 years in the past), invalid pagination values (offset and limit), or invalid filter values (status, external_reference). Check the error message details for specific information. For example, an interval greater than 30 days returns the detail date range: maximum allowed is 1 month. The limit is a fixed 30 days, not a calendar month.

401Error. Access Token not authorized.

401

The value sent as Access Token is incorrect. Please check and try again with the correct value.

invalid_credentials

There is no support for test credentials. Use test users with production credentials for the sandbox environment and your production credentials for the production environment.

403Error. Forbidden.

forbidden

The application does not have permission to access this resource. Please check that the Access Token used has the necessary permissions and scopes for this operation.

PA_UNAUTHORIZED_RESULT_FROM_POLICIES

The account is blocked and its API keys have been revoked. At least one policy evaluated by the Policy Agent returned an UNAUTHORIZED result.

429Request limit exceeded.

too_many_requests

Client ID blocked by the gateway because the request limit for the ID in question was reached. Read the Retry-After header from the response and wait the indicated number of seconds before retrying. For greater resilience, implement exponential backoff with jitter, that is, increase the wait time with each new attempt and add a random variation to avoid simultaneous retransmission of multiple requests.

usage_quota_exceeded

Quota enforced by the API backend because the per-client request limit was reached. Read the Retry-After header from the response and wait the indicated number of seconds before retrying. For greater resilience, implement exponential backoff with jitter, that is, increase the wait time with each new attempt and add a random variation to avoid simultaneous retransmission of multiple requests.

500Generic error.

internal_error

Generic error. Please try submitting the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/orders?begin_date=2026-06-01T00:00:00Z&end_date=2026-06-03T00:00:00Z&external_reference=ORDER-1234&status=processed&limit=10'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer ' \
    
Response
{
  "data": [
    {
      "id": "ORD01K9SN1Q5959CGN8QGW00EH7V5",
      "type": "online",
      "processing_mode": "manual",
      "external_reference": "ext_ref_1234",
      "total_amount": "50.00",
      "total_paid_amount": "50.00",
      "user_id": "12345",
      "status": "processed",
      "status_detail": "accredited",
      "capture_mode": "automatic_async",
      "currency": "ARS",
      "created_date": "2024-08-26T13:06:51.045317772Z",
      "last_updated_date": "2024-08-26T13:06:51.045317772Z",
      "integration_data": {
        "application_id": "1234",
        "integrator_id": "dev_123",
        "platform_id": "1234567890",
        "sponsor": {
          "id": "446566691"
        }
      },
      "transactions": {
        "payments": [
          {
            "id": "PAY01K9SN1Q5959CGN8QGW176BB6P",
            "amount": "24.50",
            "paid_amount": "50.00",
            "reference_id": "01JEVQM899NWSQC4FYWWW7KTF9",
            "status": "processed",
            "status_detail": "accredited",
            "payment_method": {
              "id": "master",
              "type": "credit_card",
              "installments": 1,
              "transaction_security": {
                "validation": "on_fraud_risk",
                "liability_shift": "required",
                "url": "https://www.mercadopago.com/auth/card/validation/pages/remedies/019ada0a-fe1f-7a82-ba1a-1ccb4e0232e7?display_mode=self_hosted&guest_token=0661345a-e0e1-4c09-aff9-b7929ca9a24a",
                "id": "019ada0a-fe1f-7a82-ba1a-1ccb4e0232e7",
                "type": "three_ds",
                "status": "NOT_AUTHENTICATED"
              }
            }
          }
        ]
      }
    }
  ],
  "paging": {
    "total": "54",
    "total_pages": "3",
    "offset": "0",
    "limit": "20"
  }
}